


#include <QtGui/QApplication>
#include "window.hpp"

#include "../libcommon/exception_cpe.hpp"
#include "application_qt.hpp"

int main(int argc,char *argv[])
{
    try
    {
        application_qt app(argc,argv);
        Window window;
        window.show();

        return app.exec();
    }
    catch(cpe::exception_cpe e)
    {
        std::cout<<std::endl;
        std::cout<<"==========================================================="<<std::endl;
        std::cout<<e.report_exception()<<std::endl;
        std::cout<<"==========================================================="<<std::endl;
    }

}
