
#ifndef WINDOW_ADVANCED_MESH_HPP
#define WINDOW_ADVANCED_MESH_HPP

#include <iostream>
#include <QtGui/QMainWindow>
#include <QtGui/QDialog>
#include <QtGui/QColorDialog>

#include "glwidget.hpp"

namespace Ui
{
    class mesh_debug;
}
class glwidget;


class window_mesh_debug : public QDialog
{
    Q_OBJECT

public:

    window_mesh_debug(QMainWindow *parent=0,glwidget *wid=0);
    ~window_mesh_debug();

private:

     Ui::mesh_debug *ui;
     glwidget *glWidget;

 private slots:
     void accept();
     void reject();

     void debug_mode_button_clicked(bool is_clicked);

     void vertex_index_button_clicked(bool is_clicked);
     void face_index_button_clicked(bool is_clicked);
     void inverted_normal_button_clicked(bool is_clicked);
     void vertex_show_button_clicked(bool is_clicked);

};


#endif
